//
//  ScrollTouchViewController.m
//  ScrollTouch
//
//  Created by Davut Can Abacigil on 5/21/11.
//  Copyright 2011 Abacigil Information Technologies Ltd. All rights reserved.
//

#import "ScrollTouchViewController.h"

@implementation ScrollTouchViewController

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle
-(UIView *)viewForZoomingInScrollView:(UIScrollView *)scroll {
	
	return img;
}

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    mView = [[MenuView alloc] init];
    [super viewDidLoad];
}

-(void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event
{
    if(!isVisible)
    {
       
        [self.view addSubview:mView.view];
        isVisible = YES;
    }
    else
    {
        [mView.view removeFromSuperview];
        isVisible = NO;
    }
}
- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (BOOL) isVisible {
  return isVisible;
}

- (void) setIsVisible: (BOOL) newValue {
  isVisible = newValue;
}

@end
